{
  "env": {
    "browser": true,
    "es2021": true
  },
  "extends": [
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended",
    "prettier"
  ],
  "parser": "@typescript-eslint/parser",
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module"
  },
  "rules": {
    "no-unused-vars": "off",
    "@typescript-eslint/no-non-null-assertion": "off",
    "@typescript-eslint/no-this-alias": [
      "error",
      {
        "allowDestructuring": true, // Allow `const { props, state } = this`; false by default
        "allowedNames": ["current"] // Allow `const current= this`; `[]` by default
      }
    ],
    "@typescript-eslint/no-unused-vars": [
      "warn",
      {
        "args": "all",
        "varsIgnorePattern": "^_",
        "argsIgnorePattern": "^_"
      }
    ]
  },
  "plugins": ["@typescript-eslint"]
}
